%define	major 0
%define apiver 2.6
%define libname %mklibname %{name} %{apiver} %{major}
%define develname %mklibname %{name} -d

%define _gtkdocdir	%{_datadir}/gtk-doc/html
%define build_mono 1

%ifarch %mips %arm
%define build_mono 0
%endif

Summary:	The libGMIME library
Name:		gmime
Version:	2.6.10
Release:	1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://spruce.sourceforge.net/gmime
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	gtk-doc
BuildRequires:	gpgme-devel
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(zlib)
%if %{build_mono}
BuildRequires:	mono-devel
BuildRequires:	gtk-sharp2-devel
BuildRequires:	gtk-sharp2
%endif

%description
This library allows you to manipulate MIME messages.

%package -n %{libname}
Summary:	The libGMIME library
Group:		System/Libraries
Obsoletes:	%mklibname %{name} 2.0
Provides:	%mklibname %{name} 2.0
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
This library allows you to manipulate MIME messages.

%package -n %{develname}
Summary:	Development library and header files for the lib%{name} library
Group:		Development/C
Provides:	%{name}-devel
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%mklibname %{name} 2.0 -d
Provides:	%mklibname %{name} 2.0 -d

%description -n %{develname}
This package contains the lib%{name} development library and its header files.

%if %{build_mono}
%package sharp
Summary:	GMIME# bindings for mono
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description sharp
This library allows you to manipulate MIME messages.
%endif

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--with-html-dir=%{_gtkdocdir} \
	--enable-gtk-doc

#gw parallel build broken in 2.1.15
# (tpg) mono stuff doesn't like parallel build, this solves it
%(echo %make|perl -pe 's/-j\d+/-j1/g')

%check
make check

%install
%makeinstall_std

# cleanup
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
rm -f %{buildroot}%{_libdir}/gmimeConf.sh

%files -n %{libname}
%{_libdir}/lib*%{apiver}.so.%{major}*

%files -n %{develname}
%doc AUTHORS ChangeLog PORTING README TODO
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/gmime-%{apiver}.pc
%{_includedir}/*
%_datadir/gapi-2.0/gmime-api.xml
%doc %{_gtkdocdir}/*

%if %{build_mono}
%files sharp
%{_prefix}/lib/mono/gac/%{name}-sharp
%{_prefix}/lib/mono/%{name}-sharp-%{apiver}
%{_libdir}/pkgconfig/%{name}-sharp-%{apiver}.pc
%endif



%changelog
* Thu Jun 14 2012 Götz Waschk <waschk@mandriva.org> 2.6.10-1
+ Revision: 805575
- update to new version 2.6.10

* Thu May 03 2012 Götz Waschk <waschk@mandriva.org> 2.6.9-1
+ Revision: 795671
- remove requires exception to work around rpm5's behaviour
- update to new version 2.6.9
- update to new version 2.6.8
- new version

* Tue Feb 21 2012 Götz Waschk <waschk@mandriva.org> 2.6.6-1
+ Revision: 778451
- update to new version 2.6.6

* Sun Feb 19 2012 Götz Waschk <waschk@mandriva.org> 2.6.5-1
+ Revision: 777363
- update file list
- remove utils
- remove install workaround
- update to new version 2.6.5

* Sun Jan 08 2012 Götz Waschk <waschk@mandriva.org> 2.6.4-2
+ Revision: 758704
- rebuild
- fix installation
- update to new version 2.6.4

* Sat Dec 24 2011 Götz Waschk <waschk@mandriva.org> 2.6.3-1
+ Revision: 744996
- update to new version 2.6.3

* Mon Dec 19 2011 Götz Waschk <waschk@mandriva.org> 2.6.2-1
+ Revision: 743665
- new version

* Thu Dec 08 2011 Matthew Dawkins <mattydaw@mandriva.org> 2.6.1-2
+ Revision: 739153
- rebuild
- removed .la files
- disabled static build
- removed mkrel, BuildRoot, clean section, defatrr
- removed pre 200900 scriptlets

* Sun Nov 06 2011 Götz Waschk <waschk@mandriva.org> 2.6.1-1
+ Revision: 723004
- update to new version 2.6.1

* Mon Aug 29 2011 Götz Waschk <waschk@mandriva.org> 2.6.0-1
+ Revision: 697354
- update build deps
- new version
- new API

* Tue Aug 09 2011 Götz Waschk <waschk@mandriva.org> 2.4.26-1
+ Revision: 693695
- update to new version 2.4.26

* Thu Jun 09 2011 Götz Waschk <waschk@mandriva.org> 2.4.25-1
+ Revision: 683344
- new version
- xz tarball

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 2.4.24-2
+ Revision: 664855
- mass rebuild

* Sun Mar 27 2011 Götz Waschk <waschk@mandriva.org> 2.4.24-1
+ Revision: 648620
- update to new version 2.4.24

* Tue Mar 08 2011 Götz Waschk <waschk@mandriva.org> 2.4.23-1
+ Revision: 642831
- update to new version 2.4.23

* Tue Jan 25 2011 Götz Waschk <waschk@mandriva.org> 2.4.22-1
+ Revision: 632511
- update to new version 2.4.22

* Sun Dec 05 2010 Götz Waschk <waschk@mandriva.org> 2.4.21-1mdv2011.0
+ Revision: 610710
- update to new version 2.4.21

* Thu Oct 14 2010 Götz Waschk <waschk@mandriva.org> 2.4.20-1mdv2011.0
+ Revision: 585573
- update to new version 2.4.20

* Sun Oct 10 2010 Funda Wang <fwang@mandriva.org> 2.4.19-2mdv2011.0
+ Revision: 584556
- rebuild for new mono

* Mon Sep 13 2010 Götz Waschk <waschk@mandriva.org> 2.4.19-1mdv2011.0
+ Revision: 578025
- update to new version 2.4.19

* Fri Aug 27 2010 Götz Waschk <waschk@mandriva.org> 2.4.18-1mdv2011.0
+ Revision: 573470
- update to new version 2.4.18

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.4.17-1mdv2011.0
+ Revision: 550719
- new version
- drop patch

* Tue Feb 02 2010 Götz Waschk <waschk@mandriva.org> 2.4.15-1mdv2010.1
+ Revision: 499609
- update to new version 2.4.15

* Sat Jan 30 2010 Frederik Himpe <fhimpe@mandriva.org> 2.4.14-1mdv2010.1
+ Revision: 498607
- update to new version 2.4.14

* Tue Jan 19 2010 Götz Waschk <waschk@mandriva.org> 2.4.13-1mdv2010.1
+ Revision: 493695
- update to new version 2.4.13

* Tue Jan 12 2010 Götz Waschk <waschk@mandriva.org> 2.4.12-1mdv2010.1
+ Revision: 490414
- update to new version 2.4.12

* Sat Nov 07 2009 Götz Waschk <waschk@mandriva.org> 2.4.11-1mdv2010.1
+ Revision: 462457
- update to new version 2.4.11

* Mon Oct 12 2009 Götz Waschk <waschk@mandriva.org> 2.4.10-1mdv2010.0
+ Revision: 456737
- update to new version 2.4.10

* Fri Sep 25 2009 Olivier Blin <blino@mandriva.org> 2.4.9-2mdv2010.0
+ Revision: 448961
- disable mono on mips (from Arnaud Patard) and arm

* Thu Sep 03 2009 Götz Waschk <waschk@mandriva.org> 2.4.9-1mdv2010.0
+ Revision: 428334
- update to new version 2.4.9

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 2.4.8-1mdv2010.0
+ Revision: 415708
- update to new version 2.4.8

* Mon Apr 27 2009 Götz Waschk <waschk@mandriva.org> 2.4.7-1mdv2010.0
+ Revision: 369069
- update to new version 2.4.7
- fix source URL
- new version
- new api
- fix format strings
- update file list
- revert to 2.2

  + mandrake <mandrake@mandriva.com>
    - %repsys markrelease
      version: 2.2.23
      release: 1mdv2009.0
      revision: 284737
      Copying 2.2.23-1mdv2009.0 to releases/ directory.

* Sun Sep 14 2008 Götz Waschk <waschk@mandriva.org> 2.2.23-1mdv2009.0
+ Revision: 284737
- new version

* Sun Jul 20 2008 Götz Waschk <waschk@mandriva.org> 2.2.22-1mdv2009.0
+ Revision: 239061
- new version

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat May 24 2008 Götz Waschk <waschk@mandriva.org> 2.2.21-1mdv2009.0
+ Revision: 210953
- new version

* Mon May 19 2008 Götz Waschk <waschk@mandriva.org> 2.2.20-1mdv2009.0
+ Revision: 208892
- new version

* Sun May 04 2008 Götz Waschk <waschk@mandriva.org> 2.2.19-1mdv2009.0
+ Revision: 201158
- new version

* Sun Mar 16 2008 Götz Waschk <waschk@mandriva.org> 2.2.18-1mdv2008.1
+ Revision: 188191
- new version

* Sun Feb 10 2008 Götz Waschk <waschk@mandriva.org> 2.2.17-1mdv2008.1
+ Revision: 164912
- new version

* Mon Feb 04 2008 Götz Waschk <waschk@mandriva.org> 2.2.16-1mdv2008.1
+ Revision: 161914
- new version

* Wed Jan 02 2008 Götz Waschk <waschk@mandriva.org> 2.2.15-1mdv2008.1
+ Revision: 140854
- new version

* Wed Jan 02 2008 Götz Waschk <waschk@mandriva.org> 2.2.14-1mdv2008.1
+ Revision: 140190
- new version

* Tue Jan 01 2008 Götz Waschk <waschk@mandriva.org> 2.2.13-1mdv2008.1
+ Revision: 140062
- new version

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Götz Waschk <waschk@mandriva.org> 2.2.12-1mdv2008.1
+ Revision: 120714
- new version

* Tue Nov 13 2007 Götz Waschk <waschk@mandriva.org> 2.2.11-1mdv2008.1
+ Revision: 108526
- new version

* Fri Nov 02 2007 Götz Waschk <waschk@mandriva.org> 2.2.10-4mdv2008.1
+ Revision: 105204
- really fix gmime-sharp deps

* Fri Nov 02 2007 Götz Waschk <waschk@mandriva.org> 2.2.10-3mdv2008.1
+ Revision: 105174
- fix deps of the sharp package

* Fri Nov 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.10-2mdv2008.1
+ Revision: 105104
- fix obsoletes and provides for main library

* Thu Nov 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.10-1mdv2008.1
+ Revision: 104694
- correct libification (wrong major)
- make use of %%major in file list
- remove buildrequires on auto* stuff
- add necessary provides/obsoletes
- use perl hack for parallel build
- fix file list
- new license policy
- new devel library policy
- fix mixture of tabs and spaces

* Fri Jul 20 2007 Götz Waschk <waschk@mandriva.org> 2.2.10-1mdv2008.0
+ Revision: 53771
- new version
- fix buildrequires

* Tue May 22 2007 Götz Waschk <waschk@mandriva.org> 2.2.9-1mdv2008.0
+ Revision: 29630
- new version
- drop build dep on libunicode-devel

* Fri Apr 27 2007 Götz Waschk <waschk@mandriva.org> 2.2.8-1mdv2008.0
+ Revision: 18481
- new version


* Wed Mar 28 2007 Götz Waschk <waschk@mandriva.org> 2.2.6-1mdv2007.1
+ Revision: 149087
- new version
- enable checks
- Import gmime

* Thu Aug 03 2006 Götz Waschk <waschk@mandriva.org> 2.2.3-1mdv2007.0
- New release 2.2.3

* Tue Apr 18 2006 Gtz Waschk <waschk@mandriva.org> 2.2.1-1mdk
- add mono bindings
- new URL
- new version

* Mon Jan 23 2006 Götz Waschk <waschk@mandriva.org> 2.1.19-1mdk
- New release 2.1.19

* Mon Jan 09 2006 Götz Waschk <waschk@mandriva.org> 2.1.17-1mdk
- New release 2.1.17
- use mkrel

* Fri Oct 07 2005 Götz Waschk <waschk@mandriva.org> 2.1.16-1mdk
- New release 2.1.16

* Wed Jul 13 2005 Gtz Waschk <waschk@mandriva.org> 2.1.15-1mdk
- enable gtk-doc
- New release 2.1.15

* Sat Apr 30 2005 Gtz Waschk <waschk@mandriva.org> 2.1.14-2mdk
- add provides to the lib package

* Tue Apr 19 2005 Götz Waschk <waschk@linux-mandrake.com> 2.1.14-1mdk
- New release 2.1.14

* Fri Feb 25 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.11-2mdk 
- Fix gtk-doc localisation
- multiarch

* Thu Feb 17 2005 Götz Waschk <waschk@linux-mandrake.com> 2.1.11-1mdk
- New release 2.1.11

* Fri Jan 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.1.10-1mdk
- disable mono
- New release 2.1.10

* Tue Nov 09 2004 Jerome Soyer <saispo@mandrake.org> 2.1.9-1mdk
- 2.1.9

* Mon Aug 02 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.1.7-2mdk
- add BuildRequires: libz-devel
- remove BuildRequires: libtool (required by rpmbuild)

* Wed Jul 21 2004 Pascal Terjan <pterjan@mandrake.org> 2.1.7-1mdk
- 2.1.7

* Mon May 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.1.5-1mdk
- 2.1.5
- merge the static-devel sub package into the devel sub package
- fix deps

